Package org.apache.catalina

# Interface DistributedManager

All Known Subinterfaces:
  `StoreManager`

All Known Implementing Classes:
  `BackupManager`, `PersistentManager`, `PersistentManagerBase`

public interface DistributedManager
Interface implemented by session managers that do not keep a complete copy of all sessions in memory but do know where every session is. The BackupManager is an example of such a Manager as are implementations of the StoreManager interface.

With the BackupManager, sessions can be primary (primary copy on this node), backup (backup copy on this node) or proxy (only the session ID on this node). The identity of the primary and backup nodes are known for all sessions, including proxy sessions.

With StoreManager implementations, sessions can be primary (session is in memory) or proxy (session is in the Store).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveSessionsFull()`
  Returns the total session count for primary, backup and proxy.
  `Set<String>`
  `getSessionIdsFull()`
  Returns the list of all sessions IDS (primary, backup and proxy).

- ## Method Details

  - ### getActiveSessionsFull

    int getActiveSessionsFull()
    Returns the total session count for primary, backup and proxy.
    Returns:
      The total session count across the cluster.

  - ### getSessionIdsFull

    Set<String> getSessionIdsFull()
    Returns the list of all sessions IDS (primary, backup and proxy).
    Returns:
      The complete set of sessions IDs across the cluster.